Last Comment Bug 891745 - TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
: TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-ta...
Status: RESOLVED FIXED
: intermittent-failure
Product: Thunderbird
Classification: Client Software
Component: Testing Infrastructure (show other bugs)
: unspecified
: All Linux
: -- normal (vote)
: Thunderbird 25.0
Assigned To: Hiroyuki Ikezoe (:hiro)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-10 00:03 PDT by Hiroyuki Ikezoe (:hiro)
Modified: 2013-09-12 01:12 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed
fixed


Attachments
Make sure that pluginInstanceCrashed is surely invoked (1.08 KB, patch)
2013-07-10 00:08 PDT, Hiroyuki Ikezoe (:hiro)
standard8: review+
standard8: approval‑comm‑aurora+
Details | Diff | Splinter Review
Possible fix (2.00 KB, patch)
2013-08-20 23:12 PDT, Hiroyuki Ikezoe (:hiro)
standard8: review+
standard8: approval‑comm‑aurora+
Details | Diff | Splinter Review
Port bug899080 (1.07 KB, patch)
2013-09-11 18:07 PDT, Hiroyuki Ikezoe (:hiro)
standard8: review+
Details | Diff | Splinter Review

Description Hiroyuki Ikezoe (:hiro) 2013-07-10 00:03:21 PDT
TEST-START | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test_crashed_plugin_notification_inline
Step Pass: {"function": "controller.waitFor()"}
Step Pass: {"function": "controller.waitFor()"}
Test Failure: Expected the status to be "noReport" or "please". Instead, it was null
WARNING: NS_ENSURE_TRUE(piTarget) failed: file ../../../../../mozilla/content/events/src/nsEventDispatcher.cpp, line 488
++DOMWINDOW == 42 (0x4f2d268) [serial = 72] [outer = 0x2c96268]
--DOMWINDOW == 41 (0x502d608) [serial = 69] [outer = 0x4f6abe8] [url = about:blank]
--DOMWINDOW == 40 (0x4cb7a48) [serial = 65] [outer = 0x4c863f8] [url = about:blank]
--DOMWINDOW == 39 (0x4e63a88) [serial = 61] [outer = 0x4bbf5d8] [url = about:blank]
--DOMWINDOW == 38 (0x4e4e6f8) [serial = 57] [outer = 0x4e0d4f8] [url = http://localhost:43336/whatsnew1.html]
--DOMWINDOW == 37 (0x4e0d4f8) [serial = 54] [outer = (nil)] [url = http://localhost:43336/whatsnew1.html]
--DOMWINDOW == 36 (0x391adb8) [serial = 53] [outer = (nil)] [url = http://localhost:43336/whatsnew.html]
--DOCSHELL 0x4e09a10 == 16 [id = 20]
--DOCSHELL 0x28ed1b0 == 15 [id = 19]
--DOCSHELL 0x1e1ed50 == 14 [id = 21]
--DOCSHELL 0x4d4b130 == 13 [id = 23]
--DOCSHELL 0x4542800 == 12 [id = 22]
--DOCSHELL 0x4f6c6e0 == 11 [id = 24]
++DOCSHELL 0x50088d0 == 12 [id = 25]
++DOMWINDOW == 37 (0x4f4aaf8) [serial = 73] [outer = (nil)]
++DOMWINDOW == 38 (0x4fff708) [serial = 74] [outer = 0x4f4aaf8]
TEST-START | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | teardownTest
TEST-PASS | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::teardownTest
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
Comment 1 Hiroyuki Ikezoe (:hiro) 2013-07-10 00:08:42 PDT
Created attachment 773120 [details] [diff] [review]
Make sure that pluginInstanceCrashed is surely invoked

On failure case, pluginProblem.xml is surely loaded but pluginInstanceCrashed is not invoked. So "status" attribute is not set yet there.
Comment 2 Mark Banner (:standard8) (afk until 26th July) 2013-07-11 00:12:48 PDT
Comment on attachment 773120 [details] [diff] [review]
Make sure that pluginInstanceCrashed is surely invoked

Looks good, thanks.
Comment 3 Mark Banner (:standard8) (afk until 26th July) 2013-07-11 00:25:39 PDT
https://hg.mozilla.org/comm-central/rev/9377331eb262
Comment 4 Mark Banner (:standard8) (afk until 26th July) 2013-07-11 00:26:56 PDT
(In reply to Mark Banner (:standard8) from comment #3)
> https://hg.mozilla.org/comm-central/rev/9377331eb262

That was for bug 872357

https://hg.mozilla.org/comm-central/rev/8c8c0c53ad32

was for this bug.
Comment 5 Mark Banner (:standard8) (afk until 26th July) 2013-07-12 03:52:50 PDT
Comment on attachment 773120 [details] [diff] [review]
Make sure that pluginInstanceCrashed is surely invoked

[Triage Comment]
Taken onto aurora for aiding stability.
Comment 6 Mark Banner (:standard8) (afk until 26th July) 2013-07-12 03:53:12 PDT
https://hg.mozilla.org/releases/comm-aurora/rev/ad49780b8842
Comment 7 Treeherder Robot 2013-07-24 05:40:37 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25653314&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test mozmill on 2013-07-24 01:14:00
revision: dec0ccb9b636
slave: talos-r3-fed64-044

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 8 Treeherder Robot 2013-07-24 05:43:02 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25632786&tree=Thunderbird-Trunk
TB Rev3 WINNT 5.1 comm-central opt test mozmill on 2013-07-23 15:47:16
revision: 45cc1abe255a
slave: talos-r3-xp-088

TEST-UNEXPECTED-FAIL | C:\talos-slave\test\build\mozmill\content-tabs\test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 9 Treeherder Robot 2013-08-16 06:22:37 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=26604046&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central debug test mozmill on 2013-08-15 13:34:06
revision: a6ab55f00e21
slave: talos-r3-fed-023

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 10 Treeherder Robot 2013-08-16 07:48:03 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=26637996&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test mozmill on 2013-08-16 06:45:00
revision: afd06f7ad97e
slave: talos-r3-fed64-053

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 11 Treeherder Robot 2013-08-16 09:15:45 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=26640910&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test mozmill on 2013-08-16 08:07:09
revision: e99c2bc2eda1
slave: talos-r3-fed64-068

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 12 Hiroyuki Ikezoe (:hiro) 2013-08-16 20:44:06 PDT
The new failure is a regression by bug 876089.
Comment 13 Treeherder Robot 2013-08-20 07:47:55 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=26769999&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test mozmill on 2013-08-20 06:44:01
revision: b849afd13de1
slave: talos-r3-fed64-062

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 14 Treeherder Robot 2013-08-20 12:18:39 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=26780281&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test mozmill on 2013-08-20 11:12:55
revision: f50955f8a0c3
slave: talos-r3-fed64-055

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 15 Treeherder Robot 2013-08-20 16:44:25 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=26787804&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test mozmill on 2013-08-20 14:25:03
revision: f50955f8a0c3
slave: talos-r3-fed64-047

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 16 Hiroyuki Ikezoe (:hiro) 2013-08-20 23:12:10 PDT
Created attachment 793354 [details] [diff] [review]
Possible fix

I can not reproduce the new failure on local, but I think this patch will solve it.
Comment 17 Treeherder Robot 2013-08-26 10:28:45 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=27010277&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test mozmill on 2013-08-26 09:22:48
revision: 4c2345e03ee4
slave: talos-r3-fed64-071

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 18 Treeherder Robot 2013-08-27 13:07:52 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=27076160&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test mozmill on 2013-08-27 11:37:40
revision: 3a2dda75f8bd
slave: talos-r3-fed64-064

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 19 Treeherder Robot 2013-08-29 23:13:14 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=27191684&tree=Thunderbird-Trunk
Ubuntu VM 12.04 x64 comm-central debug test mozmill on 2013-08-29 13:06:49
revision: 448a69267a0c
slave: tst-linux64-ec2-402

TEST-UNEXPECTED-FAIL | /builds/slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 20 Treeherder Robot 2013-09-04 08:36:07 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=27375717&tree=Thunderbird-Trunk
Ubuntu VM 12.04 x64 comm-central debug test mozmill on 2013-09-04 07:13:03
revision: 92726142b524
slave: tst-linux64-ec2-419

TEST-UNEXPECTED-FAIL | /builds/slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 21 Treeherder Robot 2013-09-04 10:01:47 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=27380752&tree=Thunderbird-Trunk
Ubuntu VM 12.04 x64 comm-central debug test mozmill on 2013-09-04 08:58:37
revision: 5d68d0b9aeb7
slave: tst-linux64-ec2-425

TEST-UNEXPECTED-FAIL | /builds/slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 22 Treeherder Robot 2013-09-04 10:59:34 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=27383182&tree=Thunderbird-Trunk
TB Windows XP 32-bit comm-central debug test mozmill on 2013-09-04 08:46:48
revision: 5d68d0b9aeb7
slave: t-xp32-ix-061

TEST-UNEXPECTED-FAIL | C:\slave\test\build\mozmill\content-tabs\test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 23 Treeherder Robot 2013-09-10 10:23:52 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=27649979&tree=Thunderbird-Aurora
TB Windows XP 32-bit comm-aurora debug test mozmill on 2013-09-10 08:29:14
revision: 1033b3b326a0
slave: t-xp32-ix-109

TEST-UNEXPECTED-FAIL | C:\slave\test\build\mozmill\content-tabs\test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | Disconnect Error: Application unexpectedly closed
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 24 Treeherder Robot 2013-09-11 02:48:47 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=27688152&tree=Thunderbird-Trunk
Ubuntu VM 12.04 comm-central opt test mozmill on 2013-09-11 02:15:51
revision: b176681a63d0
slave: tst-linux32-ec2-396

TEST-UNEXPECTED-FAIL | /builds/slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_can_crash_plugin
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 25 Mark Banner (:standard8) (afk until 26th July) 2013-09-11 05:10:37 PDT
Comment on attachment 793354 [details] [diff] [review]
Possible fix

Looks good, thanks.
Comment 26 Treeherder Robot 2013-09-11 05:12:15 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=27695982&tree=Thunderbird-Trunk
Ubuntu VM 12.04 comm-central opt test mozmill on 2013-09-11 04:43:55
revision: b176681a63d0
slave: tst-linux32-ec2-049

TEST-UNEXPECTED-FAIL | /builds/slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_can_crash_plugin
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_bar
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 27 Mark Banner (:standard8) (afk until 26th July) 2013-09-11 05:12:34 PDT
https://hg.mozilla.org/comm-central/rev/76da2ac0131f
Comment 28 Mark Banner (:standard8) (afk until 26th July) 2013-09-11 07:21:04 PDT
This is either not fixed, or there's a different similar bustage on Linux 32 opt builds.
Comment 29 Hiroyuki Ikezoe (:hiro) 2013-09-11 18:07:08 PDT
Created attachment 803428 [details] [diff] [review]
Port bug899080

I could reproduce the new failure. The failure is the same as other failures of plugin tests.
Comment 30 Mark Banner (:standard8) (afk until 26th July) 2013-09-12 00:34:34 PDT
Comment on attachment 803428 [details] [diff] [review]
Port bug899080

Yes, I could totally believe this is the problem. Thanks!
Comment 31 Mark Banner (:standard8) (afk until 26th July) 2013-09-12 01:08:44 PDT
https://hg.mozilla.org/comm-central/rev/f4b1feca2e10
Comment 32 Mark Banner (:standard8) (afk until 26th July) 2013-09-12 01:12:24 PDT
Comment on attachment 793354 [details] [diff] [review]
Possible fix

I've pushed this one to aurora now:

https://hg.mozilla.org/releases/comm-aurora/rev/d5612311be41

Note You need to log in before you can comment on or make changes to this bug.